Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPNamespaceScope

All Superinterfaces:
  `ICPPScope`, `IScope`

All Known Subinterfaces:
  `ICPPBlockScope`

public interface ICPPNamespaceScope extends ICPPScope
A namespace scope is either a block-scope or a namespace-scope or global scope.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ICPPNamespaceScope[]`
`EMPTY_NAMESPACE_SCOPE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`void`
`addUsingDirective(ICPPUsingDirective usingDirective)`
Add a directive that nominates another namespace to this scope.
`ICPPNamespaceScope[]`
`getInlineNamespaces()`
Returns the inline namespaces that are members of this scope.
`ICPPUsingDirective[]`
`getUsingDirectives()`
Get the using directives that have been added to this scope to nominate other namespaces during lookup.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

## Field Details

### EMPTY_NAMESPACE_SCOPE_ARRAY

static final ICPPNamespaceScope[] EMPTY_NAMESPACE_SCOPE_ARRAY

Since:
  5.3

## Method Details

### addUsingDirective

void addUsingDirective(ICPPUsingDirective usingDirective)
Add a directive that nominates another namespace to this scope.

### getUsingDirectives

ICPPUsingDirective[] getUsingDirectives()
Get the using directives that have been added to this scope to nominate other namespaces during lookup.

### getInlineNamespaces

ICPPNamespaceScope[] getInlineNamespaces()
Returns the inline namespaces that are members of this scope.

Since:
  5.3